var screenresolution = [1440, 900]
var updatetimes = [60, 5]
var updateratio = 1000 * 60
var fuzzsize = 20
var superimpose = 1

var backgroundsarray =
[
	'bg_00.jpg',
	'bg_01.jpg',
	'bg_02.jpg'
]

var imagesarray =
[
	['ig_01.jpg', 275, 400],
	['ig_02.jpg', 290, 435],
	['ig_03.jpg', 290, 435],
	['ig_04.jpg', 290, 435]
]

function initialize()
{
	document.documentElement.setAttribute('viewBox', '0 0 ' + screenresolution[0] + ' ' + screenresolution[1])
	update_background()
	setInterval('update_background()', updatetimes[0] * updateratio)
	if (superimpose)
	{
		update_image()
		setInterval('update_image()', updatetimes[1] * updateratio)
	}
	else
		document.getElementById('igimage').style.setProperty('display', 'none')
}

function randomproduct(iter)
{
	var result = 1
	for (var i = 0; i < iter; i++)
		result *= Math.random()
	return result
}

function update_background()
{
	var randombg = Math.round(Math.random() * (backgroundsarray.length - 1))
	var bgelem = document.getElementById('bgimage')
	bgelem.setAttribute('xlink:href', 'backgrounds/' + backgroundsarray[randombg])
}

function update_image()
{
	var randomig = Math.round(Math.random() * (imagesarray.length - 1))
	var ftelem = document.getElementById('ftimage')
	var fielem = document.getElementById('fiimage')
	var igelem = document.getElementById('igimage')
	fielem.setAttribute('xlink:href', 'images/' + imagesarray[randomig][0])

	var first = Math.log(randomproduct(10))
	var second = Math.log(randomproduct(5))
	var result = first/(first + second)
	var width = imagesarray[randomig][1]
	var posx = (screenresolution[0] - width) * result
//	var posx = 2 * screenresolution[0]/3 - width/2
	ftelem.setAttribute('width', width)
	ftelem.setAttribute('x', posx)
	width -= fuzzsize * 2
	posx += fuzzsize
	igelem.setAttribute('width', width)
	igelem.setAttribute('x', posx)

	first = Math.log(randomproduct(10))
	second = Math.log(randomproduct(10))
	result = first/(first + second)
	var height = imagesarray[randomig][2]
	var posy = (screenresolution[1] - height) * result
//	var posy = screenresolution[1]/2 - height/2
	ftelem.setAttribute('height', height)
	ftelem.setAttribute('y', posy)
	height -= fuzzsize * 2
	posy += fuzzsize
	igelem.setAttribute('height', height)
	igelem.setAttribute('y', posy)
}
